<?php
// (c) Copyright 2002-2015 by authors of the Tiki Wiki CMS Groupware Project
// 
// All Rights Reserved. See copyright.txt for details and a complete list of authors.
// Licensed under the GNU LESSER GENERAL PUBLIC LICENSE. See license.txt for details.
// $Id: Round.php 53803 2015-02-06 00:42:50Z jyhem $

class Math_Formula_Function_Round extends Math_Formula_Function
{
	function evaluate( $element )
	{
		$elements = array();

		if (count($element) > 2) {
			$this->error(tr('Too many arguments on round.'));
		}

		foreach ( $element as $child ) {
			$elements[] = $this->evaluateChild($child);
		}


		$number = array_shift($elements);
		$decimals = intval(array_shift($elements));

		return round($number, $decimals);
	}
}

